Loading...
Searching...
No Matches
Opm::EclipsePRTLog Class Reference
Inheritance diagram for Opm::EclipsePRTLog:

## Public Member Functions

size_t | numMessages (int64_t messageType) const
| EclipsePRTLog (const std::string &logFile, int64_t messageMask, bool append, bool print_summary)
| Construct a logger to the <MODEL>.PRT file.
| EclipsePRTLog (std::ostream &os, int64_t messageMask, bool print_summary)
| Construct a logger to the <MODEL>.PRT file.
| StreamLog (const std::string &logFile, int64_t messageMask, bool append=false)
| StreamLog (std::ostream &os, int64_t messageMask)
Public Member Functions inherited from Opm::StreamLog
| StreamLog (const std::string &logFile, int64_t messageMask, bool append=false)
| StreamLog (std::ostream &os, int64_t messageMask)
Public Member Functions inherited from Opm::LogBackend
| LogBackend (int64_t mask)
| Construct with given message mask.
virtual | ~LogBackend ()
| Virtual destructor to enable inheritance.
void | setMessageFormatter (std::shared_ptr< MessageFormatterInterface > formatter)
| Configure how formatMessage() will modify message strings.
void | setMessageLimiter (std::shared_ptr< MessageLimiter > limiter)
| Configure how message tags will be used to limit messages.
void | addMessage (int64_t messageFlag, const std::string &message)
| Add a message to the backend if accepted by the message limiter.
void | addTaggedMessage (int64_t messageFlag, const std::string &messageTag, const std::string &message)
| Add a tagged message to the backend if accepted by the message limiter.
int64_t | getMask () const
| The message mask types are specified in the Opm::Log::MessageType namespace, in file LogUtils.hpp.

## Protected Member Functions

void | addMessageUnconditionally (int64_t messageType, const std::string &message) override
| This is the method subclasses should override.
Protected Member Functions inherited from Opm::StreamLog
void | addMessageUnconditionally (int64_t messageType, const std::string &message) override
| This is the method subclasses should override.
Protected Member Functions inherited from Opm::LogBackend
std::string | formatMessage (int64_t messageFlag, const std::string &message)
| Return decorated version of message depending on configureDecoration() arguments.

## Constructor & Destructor Documentation

## EclipsePRTLog() [1/2]

Opm::EclipsePRTLog::EclipsePRTLog | ( | const std::string & | logFile,
|  | int64_t | messageMask,
|  | bool | append,
|  | bool | print_summary )

Construct a logger to the <MODEL>.PRT file.

Parameters

  logFile | The name of the logfile to use.
  messageMask | Mask for logging of messages.
  append | If true then we append messages to the file. Otherwise a new file is created.
  print_summary | If true print a summary to the PRT file.

## EclipsePRTLog() [2/2]

Opm::EclipsePRTLog::EclipsePRTLog | ( | std::ostream & | os,
|  | int64_t | messageMask,
|  | bool | print_summary )

Construct a logger to the <MODEL>.PRT file.

Parameters

  os | The stream to write the log to.
  messageMask | Mask for logging of messages
  print_summary | If true print a summary to the PRT file.

## Member Function Documentation

## addMessageUnconditionally()

void Opm::EclipsePRTLog::addMessageUnconditionally | ( | int64_t | messageFlag,
|  | const std::string & | message )

override protected virtual

This is the method subclasses should override.

Typically a subclass may filter, change, and output messages based on configuration and the messageFlag.

Implements Opm::LogBackend.

The documentation for this class was generated from the following files:

- opm/common/OpmLog/EclipsePRTLog.hpp
- opm/common/OpmLog/EclipsePRTLog.cpp